// CDupPoiDlg.cpp - Duplicated POI Dialog Implementation File
////////////////////////////////////////////////////////////////////////////////////////////////

#include <WinAfx.hpp>
#include "Resource.hpp"
#include "WinMain.hpp"
#include "CDupPoiDlg.hpp"

////////////////////////////////////////////////////////////////////////////////////////////////
// A command item from IDC_DELETE, IDC_DELETE_ALL, IDC_RETAIN and IDC_RETAIN_ALL buttons

AFXINLINE void CDupPoiDlg::OnCommand(UINT nItemId, UINT nNotify, HWND hCtrlWnd)
{
	TRACE(_T("Entering CDupPoiDlg::OnCommand\n"));

	FadeOutDialog(*this);
	EndDialog(nItemId);
}

////////////////////////////////////////////////////////////////////////////////////////////////
// Dialog box is being displayed

AFXINLINE BOOL CDupPoiDlg::OnInitDialog(HWND hFocusWnd)
{
	TRACE(_T("Entering CDupPoiDlg::OnInitDialog\n"));

	SendChildMessage(IDC_PMT_ICON, STM_SETICON, (WPARAM)LoadIcon(IDI_QUESTION));
	SetChildText(IDC_DLG_MSG, m_pszPoiName);
	MoveDialogCenter();
	FadeInDialog(*this);

	// System (TRUE) or application itself (FALSE) sets the keyboard focus
	return TRUE;
}

////////////////////////////////////////////////////////////////////////////////////////////////
// Message maps for CDupPoiDlg

BEGIN_MESSAGE_MAP(CDupPoiDlg)
	ON_WM_COMMAND(OnCommand)
	ON_WM_INITDIALOG(OnInitDialog)
END_MESSAGE_MAP()
