// CFileExistDlg.cpp - File Exist Dialog Implementation File
////////////////////////////////////////////////////////////////////////////////////////////////

#include <WinAfx.hpp>
#include "Resource.hpp"
#include "WinMain.hpp"
#include "CFileExistDlg.hpp"

////////////////////////////////////////////////////////////////////////////////////////////////
// A command item from ID_YES, IDC_YES_ALL, ID_NO and IDC_NO_ALL buttons

AFXINLINE void CFileExistDlg::OnCommand(UINT nItemId, UINT nNotify, HWND hCtrlWnd)
{
	TRACE(_T("Entering CFileExistDlg::OnCommand\n"));

	FadeOutDialog(*this);
	EndDialog(nItemId);
}

////////////////////////////////////////////////////////////////////////////////////////////////
// Dialog box is being displayed

AFXINLINE BOOL CFileExistDlg::OnInitDialog(HWND hFocusWnd)
{
	TRACE(_T("Entering CFileExistDlg::OnInitDialog\n"));

	SendChildMessage(IDC_PMT_ICON, STM_SETICON, (WPARAM)LoadIcon(IDI_QUESTION));
	SetChildText(IDC_DLG_MSG, m_pszFileName);
	MoveDialogCenter();
	FadeInDialog(*this);

	// System (TRUE) or application itself (FALSE) sets the keyboard focus
	return TRUE;
}

////////////////////////////////////////////////////////////////////////////////////////////////
// Message maps for CFileExistDlg

BEGIN_MESSAGE_MAP(CFileExistDlg)
	ON_WM_COMMAND(OnCommand)
	ON_WM_INITDIALOG(OnInitDialog)
END_MESSAGE_MAP()
