// CLvBkDlg.hpp - List View Background Dialog Declaration File
////////////////////////////////////////////////////////////////////////////////////////////////

// Marks the file we have included
#ifndef _CLVBKDLG_INCLUDED_
#define _CLVBKDLG_INCLUDED_

// Framework header file should be included first
#ifndef _WINAFX_INCLUDED_
#error  CLvBkDlg - Framework header file <WinAfx.hpp> should be included first.
#endif

// Included only once by the compiler in a build
#pragma once

////////////////////////////////////////////////////////////////////////////////////////////////

class CLvBkDlg : public CFileDialog
{
public:
	CLvBkDlg(PTSTR pszFileName, PTSTR pszFileTitle);

protected:
	BOOL OnCdnFileOK(PCOFNOTIFY pOFN);
	void OnCdnInitDone(PCOFNOTIFY pOFN);

	DECLARE_MESSAGE_MAP()
};

class CLvBkParentDlg : public CSubclassWnd<CDialog>
{
public:
	enum
	{
		// Timer identifier and its interval
		m_eTimerId   = 7,
		m_eTimerIntl = 100,
	};

public:
	void CloseDialog();

protected:
	LRESULT OnCommand(WPARAM wParam, LPARAM lParam);
	LRESULT OnTimer(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
};

////////////////////////////////////////////////////////////////////////////////////////////////

AFXINLINE CLvBkDlg::CLvBkDlg(PTSTR pszFileName, PTSTR pszFileTitle)
{
	TRACE(_T("Entering CLvBkDlg::CLvBkDlg\n"));

	lpstrFile      = pszFileName;
	lpstrFileTitle = pszFileTitle;
}

// End of _CLVBKDLG_INCLUDED_
#endif
