// CLvCombo.hpp - List View Combo Box Declaration File
////////////////////////////////////////////////////////////////////////////////////////////////

// Marks the file we have included
#ifndef _CLVCOMBO_INCLUDED_
#define _CLVCOMBO_INCLUDED_

// Framework header file should be included first
#ifndef _WINAFX_INCLUDED_
#error  CLvCombo - Framework header file <WinAfx.hpp> should be included first.
#endif

// Included only once by the compiler in a build
#pragma once

////////////////////////////////////////////////////////////////////////////////////////////////

class CLvCombo : public CSubclassWnd<CComboBox>
{
public:
	// Control sizes
	enum
	{
		m_ecxStaticPadding = 16,
	};

public:
	int m_cxDropArrow;

protected:
	LRESULT OnChar(WPARAM wParam, LPARAM lParam);
	void OnKillFocus(HWND hNewWnd);

	DECLARE_MESSAGE_MAP()
};

// End of _CLVCOMBO_INCLUDED_
#endif
