// CLvEdit.hpp - List View Edit Declaration File
////////////////////////////////////////////////////////////////////////////////////////////////

// Marks the file we have included
#ifndef _CLVEDIT_INCLUDED_
#define _CLVEDIT_INCLUDED_

// Framework header file should be included first
#ifndef _WINAFX_INCLUDED_
#error  CLvEdit - Framework header file <WinAfx.hpp> should be included first.
#endif

// Included only once by the compiler in a build
#pragma once

////////////////////////////////////////////////////////////////////////////////////////////////

class CLvEdit : public CSubclassWnd<CEdit>
{
public:
	BOOL m_bTextOK, m_bMsgShow;
	int  m_iLvItem;

public:
	int DisplayMessage(UINT nResId);

protected:
	LRESULT OnChar(WPARAM wParam, LPARAM lParam);
	void OnKillFocus(HWND hNewWnd);

	DECLARE_MESSAGE_MAP()
};

// End of _CLVEDIT_INCLUDED_
#endif
