// CQueryNameDlg.hpp - Queries File Name Dialog Declaration File
////////////////////////////////////////////////////////////////////////////////////////////////

// Marks the file we have included
#ifndef _CQUERYNAMEDLG_INCLUDED_
#define _CQUERYNAMEDLG_INCLUDED_

// Framework header file should be included first
#ifndef _WINAFX_INCLUDED_
#error  CQueryNameDlg - Framework header file <WinAfx.hpp> should be included first.
#endif

// Included only once by the compiler in a build
#pragma once

////////////////////////////////////////////////////////////////////////////////////////////////

class CQueryNameDlg : public CDialog
{
public:
	CEdit m_jTomName, m_jWinName;

protected:
	void OnTomName(UINT nNotify, HWND hCtrlWnd);
	void OnWinName(UINT nNotify, HWND hCtrlWnd);
	void OnCancel(UINT nNotify, HWND hCtrlWnd);
	BOOL OnInitDialog(HWND hFocusWnd);

	DECLARE_MESSAGE_MAP()
};

// End of _CQUERYNAMEDLG_INCLUDED_
#endif
