// CSbCtrl.hpp - Status Bar Control Declaration File
////////////////////////////////////////////////////////////////////////////////////////////////

// Marks the file we have included
#ifndef _CSBCTRL_INCLUDED_
#define _CSBCTRL_INCLUDED_

// Framework header file should be included first
#ifndef _WINAFX_INCLUDED_
#error  CSbCtrl - Framework header file <WinAfx.hpp> should be included first.
#endif

// Included only once by the compiler in a build
#pragma once

////////////////////////////////////////////////////////////////////////////////////////////////

class CSbCtrl : public CSubclassWnd<CStatusBar>
{
public:
	BOOL SetInfoText(UINT nMsg, WPARAM wParam, PCTSTR pszText);

protected:
	LRESULT OnSbSetText(WPARAM wParam, LPARAM lParam);
	LRESULT OnSetText(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
};

// End of _CSBCTRL_INCLUDED_
#endif
