// CTbBkDlg.hpp - Toolbar Background Dialog Declaration File
////////////////////////////////////////////////////////////////////////////////////////////////

// Marks the file we have included
#ifndef _CTBBKDLG_INCLUDED_
#define _CTBBKDLG_INCLUDED_

// Framework header file should be included first
#ifndef _WINAFX_INCLUDED_
#error  CTbBkDlg - Framework header file <WinAfx.hpp> should be included first.
#endif

// Included only once by the compiler in a build
#pragma once

////////////////////////////////////////////////////////////////////////////////////////////////

class CTbBkDlg : public CColorDialog
{
public:
	enum
	{
		// Edit identifiers for RGB color
		m_eREditId = 0x2C2,
		m_eGEditId = 0x2C3,
		m_eBEditId = 0x2C4,

		// Button identifier for Add to Custom Colors
		m_eAddBtnId = 0x2C8,

		// Button styles for Apply
		m_eApplyStyle = WS_CHILD | WS_CLIPSIBLINGS | WS_TABSTOP | WS_VISIBLE | BS_PUSHBUTTON,

		// Button identifier for Apply
		m_eApplyId = 5000,
	};

protected:
	LRESULT OnCommand(WPARAM wParam, LPARAM lParam);
	BOOL OnInitDialog(HWND hFocusWnd);

	DECLARE_MESSAGE_MAP()
};

// End of _CTBBKDLG_INCLUDED_
#endif
