////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
// OleMsh.h - OLE Marshaling Declaration File                                                 //
//                                                                                            //
// Copyright (c) 1988-2013, Softop Corporation                                                //
// All rights reserved                                                                        //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

// Marks the file we have included
#ifndef _OLEMSH_INCLUDED_
#define _OLEMSH_INCLUDED_

// Included only once by the compiler in a build
#pragma once

// Entire file for building marshaling proxy/stub DLL only
#ifdef OLEMSH

////////////////////////////////////////////////////////////////////////////////////////////////
// General purposes

// Synonyms
typedef OLECHAR OCHAR;

// Custom data types
typedef OCHAR*       POSTR;
typedef IID*         PIID;
typedef const OCHAR* PCOSTR;

// Exports required functions
#pragma comment(linker, "/EXPORT:DllGetClassObject=_DllGetClassObject@12,PRIVATE")
#pragma comment(linker, "/EXPORT:DllCanUnloadNow=_DllCanUnloadNow@0,PRIVATE")
#ifdef  REGISTER_PROXY_DLL
#pragma comment(linker, "/EXPORT:DllRegisterServer=_DllRegisterServer@0,PRIVATE")
#pragma comment(linker, "/EXPORT:DllUnregisterServer=_DllUnregisterServer@0,PRIVATE")
#endif

// End of OLEMSH and _OLEMSH_INCLUDED_
#endif
#endif
