////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
// WinTheme.hpp - Windows Theme Declaration File                                              //
//                                                                                            //
// Copyright (c) 1988-2013, Softop Corporation                                                //
// All rights reserved                                                                        //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

// Marks the file we have included
#ifndef _WINTHEME_INCLUDED_
#define _WINTHEME_INCLUDED_

// Framework header file should be included first
#ifndef _WINAFX_INCLUDED_
#error  WinTheme - Framework header file <WinAfx.hpp> should be included first.
#endif

// Included only once by the compiler in a build
#pragma once

////////////////////////////////////////////////////////////////////////////////////////////////
// General functions

// Sets a window to use a different set of visual style information
// Returns: S_OK if the function succeeds
AFXINLINE HRESULT WINAPI SetWindowTheme(HWND hWnd, PCWSTR pszAppName = NULL)
{
	return VERIFY_HRESULT(SetWindowTheme(hWnd, pszAppName, NULL));
}

// End of _WINTHEME_INCLUDED_
#endif
