// CClearColDlg.hpp - Clears Column Data Dialog Declaration File
////////////////////////////////////////////////////////////////////////////////////////////////

// Marks the file we have included
#ifndef _CCLEARCOLDLG_INCLUDED_
#define _CCLEARCOLDLG_INCLUDED_

// Framework header file should be included first
#ifndef _WINAFX_INCLUDED_
#error  CClearColDlg - Framework header file <WinAfx.hpp> should be included first.
#endif

// Included only once by the compiler in a build
#pragma once

////////////////////////////////////////////////////////////////////////////////////////////////

class CClearColDlg : public CDialog
{
public:
	enum
	{
		// Check button indices
		m_eNameLCol = 0,
		m_eNameTCol,
		m_eLngCol,
		m_eLatCol,
		m_eTelCol,
		m_eMemoCol,
		m_eceCol,
	};

public:
	UINT    m_nCol[m_eceCol];
	CButton m_jCol[m_eceCol], m_jOKBtn;

protected:
	void OnCommand(UINT nItemId, UINT nNotify, HWND hCtrlWnd);
	BOOL OnInitDialog(HWND hFocusWnd);

	DECLARE_MESSAGE_MAP()
};

// End of _CCLEARCOLDLG_INCLUDED_
#endif
