// CDupPoiDlg.hpp - Duplicated POI Dialog Declaration File
////////////////////////////////////////////////////////////////////////////////////////////////

// Marks the file we have included
#ifndef _CDUPPOIDLG_INCLUDED_
#define _CDUPPOIDLG_INCLUDED_

// Framework header file should be included first
#ifndef _WINAFX_INCLUDED_
#error  CDupPoiDlg - Framework header file <WinAfx.hpp> should be included first.
#endif

// Included only once by the compiler in a build
#pragma once

////////////////////////////////////////////////////////////////////////////////////////////////

class CDupPoiDlg : public CDialog
{
public:
	PCTSTR m_pszPoiName;

public:
	CDupPoiDlg(PCTSTR pszPoiName);

protected:
	void OnCommand(UINT nItemId, UINT nNotify, HWND hCtrlWnd);
	BOOL OnInitDialog(HWND hFocusWnd);

	DECLARE_MESSAGE_MAP()
};

////////////////////////////////////////////////////////////////////////////////////////////////

AFXINLINE CDupPoiDlg::CDupPoiDlg(PCTSTR pszPoiName)
{
	TRACE(_T("Entering CDupPoiDlg::CDupPoiDlg\n"));

	m_pszPoiName = pszPoiName;
}

// End of _CDUPPOIDLG_INCLUDED_
#endif
