// CLvCombo.cpp - List View Combo Box Implementation File
////////////////////////////////////////////////////////////////////////////////////////////////

#include <WinAfx.hpp>
#include "CTomPoiEdr.hpp"

////////////////////////////////////////////////////////////////////////////////////////////////
// A character is pressed

AFXINLINE LRESULT CLvCombo::OnChar(WPARAM wParam, LPARAM lParam)
{
	TRACE(_T("Entering CLvCombo::OnChar\n"));

	TCHAR cChar;
	cChar = (TCHAR)wParam;
	if((cChar == CHR_CR) || (cChar == CHR_TAB) || (cChar == CHR_ESC))
		e_pTPE->m_jLvEdit.PostMessage(WM_CHAR, wParam, lParam);
	return WMR_DEFAULT;
}

////////////////////////////////////////////////////////////////////////////////////////////////
// Window is being lost the keyboard focus

AFXINLINE void CLvCombo::OnKillFocus(HWND hNewWnd)
{
	TRACE(_T("Entering CLvCombo::OnKillFocus\n"));

	if(hNewWnd && e_pTPE->m_jIEPane.IsChild(hNewWnd))
		e_pTPE->m_jLvEdit.PostMessage(WM_CHAR, CHR_ESC);
}

////////////////////////////////////////////////////////////////////////////////////////////////
// Message maps for CLvCombo

BEGIN_MESSAGE_MAP(CLvCombo)
	ON_ANY_MAP(WM_CHAR, OnChar)
	ON_WM_KILLFOCUS(OnKillFocus)
END_MESSAGE_MAP()
